Subject: commercial morel harvest

From: [email-masked] (MYCOCHEF)
Date: 6 Jun 1995 09:25:36 -0400

to all who are interested.  david arora and i have been with the
commercial pickers in ukiah, oregon for a week and it was quite a trip. 
literally thousands of pounds every evening being brought down from the
mountains to be sold to the local buying stations.  i will write a story
about it soon for mycoinfo which can be read at
[email-masked]